package jalview.ext.archaeopteryx;

import jalview.ext.treeviewer.ExternalTreeI;
import jalview.ext.treeviewer.ExternalTreeNodeI;

import org.forester.phylogeny.Phylogeny;

public class Tree implements ExternalTreeI
{
  private final Phylogeny tree;

  public Tree(Phylogeny aptxTree)
  {
    tree = aptxTree;
  }

  @Override
  public Phylogeny getOriginalTree()
  {
    return tree;

  }

  @Override
  public ExternalTreeNodeI getRoot()
  {
    ExternalTreeNodeI root = new TreeNode(tree.getRoot());
    return root;
  }

  @Override
  public void setTreeName(String name)
  {
    tree.setName(name);

  }

  @Override
  public ExternalTreeNodeI getNodeWithName(String name)
  {
    return new TreeNode(tree.getNode(name));

  }

  @Override
  public String[] getAllLeafNames()
  {
    return tree.getAllExternalNodeNames();
  }
}
